<?php

namespace Modules\Admin\Config\CorporateCollectionProfiles;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [ 10, 20, 50, 100, PHP_INT_MAX ];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('name')
			)
			->append(
				ListingColumn::create('recipients')
			)
			->append(
				ListingColumn::create('attachment')
			)
			->append(
				ListingColumn::create('emailSubject')
			)
			->append(
				ListingColumn::create('dueInDaysPeriod')
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}

}
